## edu.stanford.nlp.trees
Class Dependencies.DependentPuncTagRejectFilter<G extends Label,D extends Label,N>

    java.lang.Object
      edu.stanford.nlp.trees.Dependencies.DependentPuncTagRejectFilter<G,D,N>

All Implemented Interfaces:
  Filter<Dependency<G,D,N>>, Serializable

Enclosing class:
  Dependencies

    public static class Dependencies.DependentPuncTagRejectFilter<G extends Label,D extends Label,N>

extends Object
implements Filter<Dependency<G,D,N>>

See Also:
  Serialized Form

Constructor Summary
`Dependencies.DependentPuncTagRejectFilter(Filter<String> trf)`

Method Summary
`boolean` `accept(Dependency<G,D,N> d)` Checks if the given object passes the filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dependencies.DependentPuncTagRejectFilter

    public Dependencies.DependentPuncTagRejectFilter(Filter<String> trf)

Method Detail

### accept

    public boolean accept(Dependency<G,D,N> d)

  Description copied from interface: `Filter`
  Checks if the given object passes the filter.

  Specified by:
    `accept` in interface `Filter<Dependency<G extends Label,D extends Label,N>>`
  Parameters:
    `d` - an object to test

Stanford NLP Group